using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace SportReminder
{
	public partial class MessageForm : Form
	{
		Screen thisScreen;

		public MessageForm()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Indicates how many pixels a MessageForm will be moved down on IncreaseLocationTop() call. This field is constant.
		/// </summary>
		const int MoveDownPerStep = 5;

		/// <summary>
		/// Does what it says: this.Top += <see cref="MoveDownPerStep"/>; and throw Form from under the screen to above the screen if the Form gets hidden.
		/// </summary>
		internal void IncreaseLocationTop()
		{
			this.Top += MoveDownPerStep;
			if (this.Top > thisScreen.WorkingArea.Height)
				this.Top = -this.Height;
		}

		private void MessageForm_Shown(object sender, EventArgs e)
		{
			InvalidateFontSize();
			thisScreen = Screen.FromControl(this);
		}

		internal void InvalidateFontSize()
		{
			//    Screen.Width - 100     current text width
			//  --------------------- = --------------------
			//     ideal Font size       current Font size
			label1.Font = new Font(label1.Font.FontFamily, label1.Font.Size * (Screen.PrimaryScreen.WorkingArea.Width - 100) / Graphics.FromHwnd(this.Handle).MeasureString(label1.Text, label1.Font).Width, label1.Font.Style);
		}
	}
}